Bug 1301821 - (CVE-2016-1935) CVE-2016-1935 Mozilla: Buffer overflow in WebGL after out of memory allocation (MFSA 2016-03)
CVE-2016-1935 Mozilla: Buffer overflow in WebGL after out of memory allocatio...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20160126,repor...
: Security
Depends On:
Blocks: 1300522
  Show dependency treegraph
 
Reported: 2016-01-25 23:09 EST by Huzaifa S. Sidhpurwala
Modified: 2016-02-18 22:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 22:54:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2016-01-25 23:09:33 EST
Security researcher Aki Helin used the Address Sanitizer tool to find a buffer overflow write when rendering some WebGL content. This leads to a potentially exploitable crash. 


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-03.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Aki Helin as the original reporter.
Comment 1 Tomas Hoger 2016-01-26 15:09:29 EST
Public now via upstream advisory MFSA 2016-03.
Comment 2 errata-xmlrpc 2016-01-26 23:24:17 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2016:0071 https://rhn.redhat.com/errata/RHSA-2016-0071.html
Comment 3 errata-xmlrpc 2016-02-18 10:25:26 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2016:0258 https://rhn.redhat.com/errata/RHSA-2016-0258.html

Note You need to log in before you can comment on or make changes to this bug.